Create Resident Note: MRI
POST
https://api.propexo.com/v1/residents/mri/:resident_id/notes/Create Resident Note: MRI. Note: You can only create one note per note category per resident per day.
| Method |
|---|
| /mriapiservices/api.asp?$api=MRI_S-PMRM_ResidentNote |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
resident_id stringrequired
The Propexo unique identifier for the resident
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
note_category_idstringrequired
The Propexo unique identifier for the note category
notesstringrequired
Notes associated with the resident
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
resident_idstringrequired
The Propexo unique identifier for the resident
note_category_idstringrequired
The Propexo unique identifier for the note category
notesstringrequired
Notes associated with the resident
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/residents/mri/:resident_id/notes/
curl -X POST https://api.propexo.com/v1/residents/mri/:resident_id/notes/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"note_category_id": "string",
"notes": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"resident_id": "string",
"note_category_id": "string",
"notes": "string"
}
}